igeo

## Class IOut

- java.lang.Object
- - igeo.IOut

-     public class IOut
      extends java.lang.Object

  A class to provide default static output stream.
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.io.PrintStream` | `debug`
    `static boolean` | `debugEnabled`
    `static int` | `debugLevel`
    `static java.lang.String` | `debugPrefix`
    `static boolean` | `enabled`
    `static java.io.PrintStream` | `err`
    `static boolean` | `errEnabled`
    `static java.lang.String` | `errPrefix`
    `static boolean` | `printDebugPrefix`
    `static boolean` | `printErrorPrefix`
    `static boolean` | `printPrefix`
    `static java.io.PrintStream` | `ps`
    `static int` | `stackDepth` depth of stack to show in the prefix.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IOut()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `currentStack(int stackOffset)`
    `static void` | `debug(int level)`
    `static void` | `debug(int level, java.lang.Object str)`
    `static int` | `debugLevel()`
    `static void` | `debugLevel(int level)`
    `static void` | `disableDebug()`
    `static void` | `disableDebugPrefix()`
    `static void` | `disableErr()`
    `static void` | `disableErrorPrefix()`
    `static void` | `disablePrefix()`
    `static void` | `disablePrint()`
    `static void` | `enableDebug()`
    `static void` | `enableDebugPrefix()`
    `static void` | `enableErr()`
    `static void` | `enableErrorPrefix()`
    `static void` | `enablePrefix()`
    `static void` | `enablePrint()`
    `static void` | `err()` error output only with prefix nor new line
    `static void` | `err(java.lang.Object str)` error output with prefix nor new line
    `static void` | `error(java.lang.Object str)` error output without prefix nor new line
    `static void` | `errWithOffset(int stackOffset)`
    `static void` | `errWithOffset(java.lang.Object str, int stackOffset)`
    `static void` | `flush()`
    `static java.io.PrintStream` | `get()`
    `static void` | `noPrefix()`
    `static void` | `p()`
    `static void` | `p(java.lang.Object str)`
    `static void` | `print(boolean str)`
    `static void` | `print(char str)`
    `static void` | `print(char[] str)`
    `static void` | `print(double str)`
    `static void` | `print(float str)`
    `static void` | `print(int str)`
    `static void` | `print(long str)`
    `static void` | `print(java.lang.Object str)`
    `static void` | `print(java.lang.String str)`
    `protected static void` | `printCurrentStack(java.io.PrintStream p)`
    `protected static void` | `printCurrentStack(java.io.PrintStream p, int stackOffset)`
    `static void` | `println()`
    `static void` | `println(boolean str)`
    `static void` | `println(char str)`
    `static void` | `println(char[] str)`
    `static void` | `println(double str)`
    `static void` | `println(float str)`
    `static void` | `println(int str)`
    `static void` | `println(long str)`
    `static void` | `println(java.lang.Object str)`
    `static void` | `println(java.lang.String str)`
    `static void` | `printlnWithOffset(int stackOffset)`
    `static void` | `printlnWithOffset(java.lang.Object str, int stackOffset)`
    `static void` | `printStack()`
    `static void` | `printStack(java.io.PrintStream p)`
    `protected static void` | `printStack(java.io.PrintStream p, java.lang.StackTraceElement stk)`
    `static void` | `setDebug(IPrintWrapper pw)`
    `static void` | `setErr(IPrintWrapper pw)`
    `static void` | `setErrStream(java.io.PrintStream pstr)`
    `static void` | `setPrint(IPrintWrapper pw)`
    `static void` | `setPrint(IPrintWrapper pw, IPrintWrapper epw)`
    `static void` | `setPrint(IPrintWrapper pw, IPrintWrapper epw, IPrintWrapper dpw)`
    `static void` | `setPS(IPrintWrapper pw)`
    `static void` | `setStream(java.io.PrintStream pstr)`
    `static java.lang.String` | `stack(java.lang.StackTraceElement stk)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ps

          public static java.io.PrintStream ps

    - #### err

          public static java.io.PrintStream err

    - #### debug

          public static java.io.PrintStream debug

    - #### printPrefix

          public static boolean printPrefix

    - #### enabled

          public static boolean enabled

    - #### errEnabled

          public static boolean errEnabled

    - #### debugEnabled

          public static boolean debugEnabled

    - #### debugLevel

          public static int debugLevel

    - #### printErrorPrefix

          public static boolean printErrorPrefix

    - #### printDebugPrefix

          public static boolean printDebugPrefix

    - #### errPrefix

          public static java.lang.String errPrefix

    - #### debugPrefix

          public static java.lang.String debugPrefix

    - #### stackDepth

          public static int stackDepth

      depth of stack to show in the prefix. integer more than 1.

  - ### Constructor Detail

    - #### IOut

          public IOut()

  - ### Method Detail

    - #### setStream

          public static void setStream(java.io.PrintStream pstr)

    - #### setErrStream

          public static void setErrStream(java.io.PrintStream pstr)

    - #### enablePrint

          public static void enablePrint()

    - #### disablePrint

          public static void disablePrint()

    - #### enableErr

          public static void enableErr()

    - #### disableErr

          public static void disableErr()

    - #### enableDebug

          public static void enableDebug()

    - #### disableDebug

          public static void disableDebug()

    - #### enablePrefix

          public static void enablePrefix()

    - #### disablePrefix

          public static void disablePrefix()

    - #### enableErrorPrefix

          public static void enableErrorPrefix()

    - #### disableErrorPrefix

          public static void disableErrorPrefix()

    - #### enableDebugPrefix

          public static void enableDebugPrefix()

    - #### disableDebugPrefix

          public static void disableDebugPrefix()

    - #### noPrefix

          public static void noPrefix()

    - #### debugLevel

          public static void debugLevel(int level)

    - #### debugLevel

          public static int debugLevel()

    - #### printCurrentStack

          protected static void printCurrentStack(java.io.PrintStream p)

    - #### printCurrentStack

          protected static void printCurrentStack(java.io.PrintStream p,
                                                  int stackOffset)

    - #### printStack

          protected static void printStack(java.io.PrintStream p,
                                           java.lang.StackTraceElement stk)

    - #### currentStack

          public static java.lang.String currentStack(int stackOffset)

    - #### stack

          public static java.lang.String stack(java.lang.StackTraceElement stk)

    - #### printStack

          public static void printStack(java.io.PrintStream p)

    - #### printStack

          public static void printStack()

    - #### p

          public static void p(java.lang.Object str)

    - #### p

          public static void p()

    - #### printlnWithOffset

          public static void printlnWithOffset(java.lang.Object str,
                                               int stackOffset)

      Parameters:
        `stackOffset` - offset of the depth of stack of calling subroutines, to controll what subroutine name to be printed

    - #### printlnWithOffset

          public static void printlnWithOffset(int stackOffset)

      Parameters:
        `stackOffset` - offset of the depth of stack of calling subroutines, to controll what subroutine name to be printed

    - #### err

          public static void err(java.lang.Object str)

      error output with prefix nor new line

    - #### err

          public static void err()

      error output only with prefix nor new line

    - #### error

          public static void error(java.lang.Object str)

      error output without prefix nor new line

    - #### errWithOffset

          public static void errWithOffset(java.lang.Object str,
                                           int stackOffset)

      Parameters:
        `stackOffset` - offset of the depth of stack of calling subroutines, to controll what subroutine name to be printed

    - #### errWithOffset

          public static void errWithOffset(int stackOffset)

      Parameters:
        `stackOffset` - offset of the depth of stack of calling subroutines, to controll what subroutine name to be printed

    - #### debug

          public static void debug(int level,
                                   java.lang.Object str)

    - #### debug

          public static void debug(int level)

    - #### println

          public static void println(java.lang.Object str)

    - #### println

          public static void println(boolean str)

    - #### println

          public static void println(char str)

    - #### println

          public static void println(char[] str)

    - #### println

          public static void println(double str)

    - #### println

          public static void println(float str)

    - #### println

          public static void println(int str)

    - #### println

          public static void println(long str)

    - #### println

          public static void println(java.lang.String str)

    - #### println

          public static void println()

    - #### print

          public static void print(java.lang.Object str)

    - #### print

          public static void print(boolean str)

    - #### print

          public static void print(char str)

    - #### print

          public static void print(char[] str)

    - #### print

          public static void print(double str)

    - #### print

          public static void print(float str)

    - #### print

          public static void print(int str)

    - #### print

          public static void print(long str)

    - #### print

          public static void print(java.lang.String str)

    - #### flush

          public static void flush()

    - #### get

          public static java.io.PrintStream get()

    - #### setPS

          public static void setPS(IPrintWrapper pw)

    - #### setErr

          public static void setErr(IPrintWrapper pw)

    - #### setDebug

          public static void setDebug(IPrintWrapper pw)

    - #### setPrint

          public static void setPrint(IPrintWrapper pw,
                                      IPrintWrapper epw,
                                      IPrintWrapper dpw)

    - #### setPrint

          public static void setPrint(IPrintWrapper pw,
                                      IPrintWrapper epw)

    - #### setPrint

          public static void setPrint(IPrintWrapper pw)